Bug 827161 - [bn_IN] failed pofilter xmltags tests for subscription-manager translations
[bn_IN] failed pofilter xmltags tests for subscription-manager translations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 5.9
Assigned To: Bryan Kearney
Entitlement Bugs
: i18n, Translation
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-05-31 15:12 EDT by Sharath Dwaral
Modified: 2015-03-22 21:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:45:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2012-05-31 15:12:59 EDT
Description of problem:
The gnome xmltags were not properly translated for '' language.  Sample output is shown below, 


Version-Release number of selected component (if applicable):
[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64

How reproducible:


Steps to Reproduce:
[root@fsharath-rhel63server ~]# msgunfmt --no-wrap /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo -o /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t xmltags /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: l 10n\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-04-13 02:03-0400\n"
"Last-Translator: runab <runab@redhat.com>\n"
"Language-Team: Bengali (India) <anubad@lists.ankur.org.in>\n"
"Language: bn-IN\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n != 1;\n"
"X-Generator: Zanata 1.5.0\n"


# (pofilter) xmltags: Different XML tags
msgid "Product entitlement certificates <i>valid</i> until %s"
msgstr "উৎপাদনের সার্টিফিকেটগুলি %s অব্দি বৈধ রয়েছে"

# (pofilter) xmltags: Different XML tags
msgid "You have <b>%s</b> products in need of <i>additional</i> entitlement certificates."
msgstr "<b>%s</b>-টি উৎপাদনের জন্য অতিরিক্ত এনটাইটেলমেন্ট সার্টিফিকেট প্রয়োজন।"

# (pofilter) xmltags: Different XML tags
msgid "You have <b>1</b> product in need of <i>additional</i> entitlement certificates."
msgstr "<b>১</b>-টি উৎপাদনের জন্য অতিরিক্ত এনটাইটেলমেন্ট সার্টিফিকেট প্রয়োজন।"
 (com.redhat.qe.tools.SSHCommandRunner.runCommandAndWait)
  
Actual results:
Shown above

Expected results:

Tags for "Italics" (<i> </i>) are to be embeded into the translated language

Additional info:

http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#xmltags
Comment 2 RHEL Product and Program Management 2012-06-04 01:47:53 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Sharath Dwaral 2012-06-04 17:46:12 EDT
>Description of problem:
>The gnome xmltags were not properly translated for 'bn_IN' language.  Sample >output is shown below,
Comment 4 Runa Bhattacharjee 2012-06-27 05:22:30 EDT
Now fixed. The translated version of the file downloaded from zanata, passes the gettext test: 
msgfmt -v keys.po 
570 translated messages.
Comment 5 Bryan Kearney 2012-07-03 14:04:59 EDT
fixed in 1.0.8 or later of subscription manager.
Comment 6 Sharath Dwaral 2012-07-12 18:20:55 EDT
Version:
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-gui-1.0.9-1.git.4.59ef2fe.el5
python-rhsm-1.0.3-1.git.2.47dc8f4.el5
subscription-manager-migration-data-1.11.2.2-1.git.0.2eea155.el5
subscription-manager-migration-1.0.9-1.git.4.59ef2fe.el5
subscription-manager-firstboot-1.0.9-1.git.4.59ef2fe.el5
subscription-manager-1.0.9-1.git.4.59ef2fe.el5

Verification:
# msgunfmt --no-wrap /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo -o /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.po

# pofilter --gnome -t xmltags /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%

Moving bug to VERIFIED
Comment 7 Bryan Kearney 2013-01-09 12:45:32 EST
Batch change of verified bugs which must have missed making the errata.

Note You need to log in before you can comment on or make changes to this bug.